abclinuxu.cz AbcLinuxu.cz itbiz.cz ITBiz.cz HDmag.cz HDmag.cz abcprace.cz AbcPráce.cz
AbcLinuxu hledá autory!
Inzerujte na AbcPráce.cz od 950 Kč
Rozšířené hledání
×
eParkomat, startup z ČR, postoupil mezi finalisty evropského akcelerátoru ChallengeUp!
Robot na pivo mu otevřel dveře k opravdovému byznysu
Internet věcí: Propojený svět? Už se to blíží...
včera 21:21 | Nová verze Ladislav Hagara | Komentářů: 0
včera 11:44 | Zajímavý projekt

Na Indiegogo byla spuštěna kampaň na podporu herní mini konzole a multimediálního centra RetroEngine Sigma od Doyodo. Předobjednat ji lze již od 49 dolarů. Požadovaná částka 20 000 dolarů byla překonána již 6 krát. Majitelé mini konzole si budou moci zahrát hry pro Atari VCS 2600, Sega Genesis nebo NES. Předinstalováno bude multimediální centrum Kodi.

Ladislav Hagara | Komentářů: 0
včera 00:10 | Nová verze

Byla vydána verze 4.7 redakčního systému WordPress. Kódové označením Vaughan bylo vybráno na počest americké jazzové zpěvačky Sarah "Sassy" Vaughan. Z novinek lze zmínit například novou výchozí šablonu Twenty Seventeen, náhledy pdf souborů nebo WordPress REST API.

Ladislav Hagara | Komentářů: 1
6.12. 12:00 | Zajímavý projekt

Projekt Termbox umožňuje vyzkoušet si linuxové distribuce Ubuntu, Debian, Fedora, CentOS a Arch Linux ve webovém prohlížeči. Řešení je postaveno na projektu HyperContainer. Podrobnosti v často kladených dotazech (FAQ). Zdrojové kódy jsou k dispozici na GitHubu [reddit].

Ladislav Hagara | Komentářů: 24
6.12. 11:00 | Bezpečnostní upozornění

Byly zveřejněny informace o bezpečnostní chybě CVE-2016-8655 v Linuxu zneužitelné k lokální eskalaci práv. Chyba se dostala do linuxového jádra v srpnu 2011. V upstreamu byla opravena minulý týden [Hacker News].

Ladislav Hagara | Komentářů: 2
5.12. 22:00 | Komunita

Přibližně před měsícem bylo oznámeno, že linuxová distribuce SUSE Linux Enterprise Server (SLES) běží nově také Raspberry Pi 3 (dokumentace). Obraz verze 12 SP2 pro Raspberry Pi 3 je ke stažení zdarma. Pro registrované jsou po dobu jednoho roku zdarma také aktualizace. Dnes bylo oznámeno, že pro Raspberry Pi 3 je k dispozici také nové openSUSE Leap 42.2 (zprávička). K dispozici je hned několik obrazů.

Ladislav Hagara | Komentářů: 6
5.12. 06:00 | Zajímavý software

OMG! Ubuntu! představuje emulátor terminálu Hyper (GitHub) postavený na webových technologiích (HTML, CSS a JavaScript). V diskusi k článku je zmíněn podobný emulátor terminálu Black Screen. Hyper i Black Screen používají framework Electron, stejně jako editor Atom nebo vývojové prostředí Visual Studio Code.

Ladislav Hagara | Komentářů: 50
5.12. 06:00 | Zajímavý článek

I letos vychází řada ajťáckých adventních kalendářů. QEMU Advent Calendar 2016 přináší každý den nový obraz disku pro QEMU. Programátoři se mohou potrápit při řešení úloh z kalendáře Advent of Code 2016. Kalendáře Perl Advent Calendar 2016 a Perl 6 Advent Calendar přinášejí každý den zajímavé informace o programovacím jazyce Perl. Stranou nezůstává ani programovací jazyk Go.

Ladislav Hagara | Komentářů: 10
3.12. 16:24 | Nová verze

Byla vydána Mageia 5.1. Jedná se o první opravné vydání verze 5, jež vyšla v červnu loňského roku (zprávička). Uživatelům verze 5 nepřináší opravné vydání nic nového, samozřejmě pokud pravidelně aktualizují. Vydání obsahuje všechny aktualizace za posledního téměř půldruhého roku. Mageia 5.1 obsahuje LibreOffice 4.4.7, Linux 4.4.32, KDE4 4.14.5 nebo GNOME 3.14.3.

Ladislav Hagara | Komentářů: 17
3.12. 13:42 | Pozvánky

V Praze probíhá konference Internet a Technologie 16.2, volné pokračování jarní konference sdružení CZ.NIC. Konferenci lze sledovat online na YouTube. K dispozici je také archiv předchozích konferencí.

Ladislav Hagara | Komentářů: 0
Kolik máte dat ve svém domovském adresáři na svém primárním osobním počítači?
 (32%)
 (24%)
 (29%)
 (8%)
 (5%)
 (3%)
Celkem 785 hlasů
 Komentářů: 50, poslední 29.11. 15:50
Rozcestník
Reklama

Dotaz: Firefox 1.5x crash

vencour avatar 22.7.2006 22:26 vencour | skóre: 55 | blog: Tady je Vencourovo | Praha+západní Čechy
Firefox 1.5x crash
Přečteno: 108×

Ahoj, všem,

měl bych následující dotaz: z CZilly stáhnu Firefox pro linux, rozbalím, pustím, spadne. Ani ťuk, hláška kde je i "core dumped" a basta. Zkusim jinou verzi, než je 1.5.0.4, to samé. Zkusím Bon echo (našel jsem v diskusi tip), nerozběhne se.

Tj. ptám se: jsem asi sám, kdo stáhne tar.gz, rozbalí a neběží mu? Kdyby to bylo častěji, řek bych, že mi blbnou paměti? Kdyby chyběly nějaké knihovny, snad by to neskončilo takhle a měl bych na výstupu něco jako "missing X"? Ty core.1233 (třeba) mají až 20MB. Podrobnosti doplním později, teď nejsem u noťase.

Zkoušel jsem ho i kompilovat, skončil jsem zatím na nesplněných závislostech. Pokud stáhnu balíček (třeba z Cookeru), taky mu něo chybí.

Ty nejhlubší objevy nečekají nutně za příští hvězdou. Jsou uvnitř nás utkány do vláken, která nás spojují, nás všechny.

Odpovědi

22.7.2006 22:50 Frank J. Tomes | skóre: 29 | Plzeň
Rozbalit Rozbalit vše Re: Firefox 1.5x crash
Zkus balíček určený přímo pro tvojí distribuci.
[frank]$ uname -prs FreeBSD 4.11-RELEASE-p25 i386
Luboš Doležel (Doli) avatar 22.7.2006 23:00 Luboš Doležel (Doli) | skóre: 98 | blog: Doliho blog | Kladensko
Rozbalit Rozbalit vše Re: Firefox 1.5x crash
Chtělo by to použít gdb a zkusit to odladit.

Ale nic si z toho nedělejte - mě zase prostě nefungují binárky OpenOffice.org, také se zmohou jen na SIGSEGV. Zkompilovaná verze funguje.
22.7.2006 23:13 Jack Hokus | skóre: 31 | blog: LostHeaven
Rozbalit Rozbalit vše Re: Firefox 1.5x crash
Dobrý večer,

pokud z nějakého důvodu nemůžete nebo nechcete použít distribuční balíček, tak zkuste to .tgz převést do rpm pomocí nějakého programu, např. alien. Ale i to je dost nejisté. Přikláněl bych se k ditribučnímu balíčku.

Pokud jde o poslední část Vašeho dotazu, tak píšete, že pokud stáhnete balíček třeba z Cookeru, tak mu teky něco chybí.

Musím položit hloupý dotaz, používáte k instalaci balíčkovací systém distribuce, nebo jste je instaloval "ručně"? Neprováděl jste nějakou jinou operaci, která mohla balíčkovací systém rozhodit?

S pozdravem Jack Hokus
http://www.jackhokus.cz/
22.7.2006 23:13 xy
Rozbalit Rozbalit vše Re: Firefox 1.5x crash
Re: Firefox Moze pomoct vymazat/presunut profil.

Re: OpenOffice.org Mne OO nefungoval ked QT alebo KDE boli skompilovane pomocou gcc 4.1. Ked som ich skompiloval pomocou 3.4.6 tak OO funguje.
Luboš Doležel (Doli) avatar 23.7.2006 01:11 Luboš Doležel (Doli) | skóre: 98 | blog: Doliho blog | Kladensko
Rozbalit Rozbalit vše Re: Firefox 1.5x crash
Aha, tak to GCC 4.1 je můj případ...
23.7.2006 17:34 Milo Kmeť | skóre: 9
Rozbalit Rozbalit vše Re: Firefox 1.5x crash
Aj môj prípad a s OO.org nemám žiadne problémy.
vencour avatar 23.7.2006 09:46 vencour | skóre: 55 | blog: Tady je Vencourovo | Praha+západní Čechy
Rozbalit Rozbalit vše Re: Firefox 1.5x crash

Ony slíbené podrobnosti.

Stáh jsem tyto verze firefoxu (+ Bon echo)a postupně je zkoušel:

$ ls firefox-* -l
-rw-rw-r--  1 colin colin  9348842 čec 22 19:06 firefox-1.5cz-6mjk.i586.rpm
-rw-rw-r--  1 colin colin  8463940 čec 22 09:54 firefox-1.5.0.4EN.tar.gz
-rw-rw-r--  1 colin colin  8477743 čec 22 09:51 firefox-1.5.0.4.tar.gz
-rw-rw-r--  1 colin colin 35521247 čec 22 18:56 firefox-1.5.0.5-source.tar.bz2
-rw-rw-r--  1 colin colin  8465137 čec 22 18:52 firefox-1.5.0.5.zh-TW.linux-i686.tar.gz
-rw-rw-r--  1 colin colin  9272248 čec 22 19:30 bonecho-alpha3.tar.gz
  • Při pokusu o instalování firefox-1.5cz-6mjk.i586.rpm chybí liblinc.so.1. Stáh jsem liblinc-1.0.1-alt1.i586.rpm. Tomu chybí libcrypto.so.0. Našel jsem libcrypto++-5.2.1-alt1.i586.rpm. Další potíž - "nesplněné /sbin/postun_ldconfig[*]". K tomu se budu muset vrátit, abych zjistil, co to je.

  • Rozbaluji firefox-1.5.0.4.tar.gz. Spouštím firefoxe (./firefox). Odpověď je
    *** glibc detected *** double free or corruption (out): 0x08cca918 ***
    
    Adresář ~/.mozilla/firefox jsem smazal. Dělá to stejně.

  • Rozbaluji firefox-1.5.0.4EN.tar.gz. Odpověď spuštěného firefoxe:
    $ ./firefox
    ./run-mozilla.sh: line 131:  4988 Neoprávněný přístup do paměti (SIGSEGV)     (core dumped) "$prog" ${1+"$@"}
    Ahááá, pokud existuje adresář s konfigurací, tak vypíše jen
    *** glibc detected *** free(): invalid pointer: 0x08bfc7a0 ***
    
    a když neexistuje, tak dostanu SIGSEGV???

  • Rozbaluji firefox-1.5.0.4.tar.gz. (Předcházející celý adresář firefox je už před tím smazaný). Odpověď na spuštění při neexistujícím konf. adresáři firefoxe:
    $ ./firefox
    ./run-mozilla.sh: line 131:  5111 Neoprávněný přístup do paměti (SIGSEGV)     (core dumped) "$prog" ${1+"$@"}
    a odpověď při druhém spuštění, konf. adresář již byl vytvořen při tom SIGSEGVu:
    $ ./firefox
    *** glibc detected *** free(): invalid pointer: 0x08bfc730 ***
    Tak jsem se konečně dokopal ke strace -o log ./firefox a výsledky jsem uložil na webu. První log je zachycen při žádném konfiguračním adresáři. Další jsou zachyceny po vytvoření adresáře ~/.mozilla/firefox/init.d, souboru ~/.mozilla/firefox/init.d/S a adresáře ./init.d.

  • S kompilací si začínám teď hrát, výsledek dopíšu.

  • Ty nejhlubší objevy nečekají nutně za příští hvězdou. Jsou uvnitř nás utkány do vláken, která nás spojují, nás všechny.
    vencour avatar 23.7.2006 10:30 vencour | skóre: 55 | blog: Tady je Vencourovo | Praha+západní Čechy
    Rozbalit Rozbalit vše Re: Firefox 1.5x crash

    Doplnění: ještě tu mám stažený mozilla-firefox-1.5.0.4-6mdv2007.0.i586.rpm<, na urpmi mam odpověď nesplněné libnss3[>= 2:1.5.0.4] - a zatim jsem se z toho nevymotal. Rpm -qa mi tvrdí, že už mam libnss3-1.0.6-16.4.20060mdk nainstalovaný. Stáhnu libnss3-1.5-161rl.i586.rpm, to chce ještě libnspr4-devel-1.0.2-10.1.102mdk.i586.rpm a to nenainstaluju ... hláška

    nesplněné libnspr4[== 2:1.0.2-10.1.102mdk]
    Tak se vracím krok zpět, hledán jinde libnspr4-devel. Nejde ani libnspr4-devel-1.4-1mdk.i586.rpm - odpověď
    nesplněné libnspr4[== 1.4-1mdk]
    .

    Ty nejhlubší objevy nečekají nutně za příští hvězdou. Jsou uvnitř nás utkány do vláken, která nás spojují, nás všechny.
    BWPOW avatar 23.7.2006 19:57 BWPOW | skóre: 21 | Kosice
    Rozbalit Rozbalit vše Re: Firefox 1.5x crash
    urpmi.removemedia -a
    urpmi.addmedia mdk ftp://sunsite.mff.cuni.cz/OS/Linux/Dist/Mandrake/mandrake/official/current/i586/media/main  with media_info
    /synthesis.hdlist.cz
    urpmi.addmedia --update upd ftp://sunsite.mff.cuni.cz/OS/Linux/Dist/Mandrake/mandrake/official/updates/current/main_updates
    urpmi.addmedia --update cooker ftp://sunsite.mff.cuni.cz/OS/Linux/Dist/Mandrake/mandrake/devel/cooker/i586/media/main
    urpmi.addmedia --update contrib ftp://sunsite.mff.cuni.cz/OS/Linux/Dist/Mandrake/mandrake/devel/cooker/cooker/media/contrib
    a skuste to opat (za predpokaldu, ze mate 32 bit system).
    Prisiel som, videl som, hmm ... bwpow.eu
    23.7.2006 20:48 JardaK | skóre: 12 | blog: Linuxovy_obcasnik
    Rozbalit Rozbalit vše Re: Firefox 1.5x crash
    Konečně odpověď správným směrem - ale proč mu do těch zdrojů strkáte cooker? To nemusí dopadnout dobře, proto také existují projekty jako SoS - což jsou rebuildnuté balíčky z cookeru pro MDV 2006.
    Teď k původnímu problému: z toho co tazatel napsal jednoznačně vyplývá, že nesprávně či vůbec nepoužívá balíčkovací systém! Problém s liblinc? Neuvěřitelné, od MDK 10.0 je součástí Mainu. Už se dostanu ke konkrétním radám, po jejichž aplikování si budete chrochtat blahem, jak správa softu je v Mandrivě pohodová a jak je to úplně jiná liga v porovnání se správou software známou z Windows.
    1. Ještě jednou si přečtěte "bibli začátečníka", jejímž autorem je bibri
    2. easyurpmi: zde si naklikejte zdroje pro main, contrib, updates a třeba i plf free a non free.
    3. Jestliže používáte neoficiální balíčky pro svoji ditribuci, stahujte je do jednoho adresáře a pak např. pomocí správce software v Ovládacím centru MDV si přidejte tento adresář jako vlastní lokální zdroj
    4. A teď už jste v pohodě. Jestli chcete, můžete si přidat SoS, pokud chcete mít nejaktuálnější soft pro svoji verzi Mandrivy. Nikdy nekombinujte zdroje pro různé verze či dokonce pro různé distribuce.
    vencour avatar 23.7.2006 23:18 vencour | skóre: 55 | blog: Tady je Vencourovo | Praha+západní Čechy
    Rozbalit Rozbalit vše Re: Firefox 1.5x crash

    Jo, máte pravdu, rpm jsem řešil tak, že jsem používal rpmseek, rbm.pbone.net a jinak sourceforge. Tak půjdu studovat.

    Ty nejhlubší objevy nečekají nutně za příští hvězdou. Jsou uvnitř nás utkány do vláken, která nás spojují, nás všechny.

    Založit nové vláknoNahoru

    Tiskni Sdílej: Linkuj Jaggni to Vybrali.sme.sk Google Del.icio.us Facebook

    ISSN 1214-1267   www.czech-server.cz
    © 1999-2015 Nitemedia s. r. o. Všechna práva vyhrazena.